package de.gruschke.dasync;

import java.util.Map;

import javax.naming.Context;
import javax.naming.directory.DirContext;


public interface DataSetFactory {

    public void init(Context initialASContext,
		     DirContext initialDSContext,
		     Map dsfArgs,
		     boolean verbose,
		     String command)
		     throws Exception;
    /**
     * Please document the required arguments
     * @returns the values of the map are objects implementing DataRow and optionally UpdateDSDataRow and UpdateASDataRow
     */
    public Map getFromAS()
	throws Exception;

    /**
     * Please document the required arguments
     * @returns the values of the map are objects implementing DataRow and optionally updateDSDataRow and updateASDataRow
     */
    public Map getFromDS()
	throws Exception;
}
